//=============================================================================
// Entspricht Telefonbuch 4_4, nur aufgeteilt auf mehrere Dateien.

#include <iostream>
#include <string>
#include "book.h"
#include "entry.h"
using namespace std;

//-----------------------------------------------------------------------------

const string filename("telefonbuch5.txt");

//-----------------------------------------------------------------------------

int main()
{
   cout << "Aufg_15_01_Telefonbuch_5\n\n";

   book b;
   b.load(filename);

   for (string s;;)
   {
      cout << "\nBitte waehlen Sie eine Aktion: \n"
         << "- e : Programmende\n"
         << "- l : Alle Eintraege auflisten\n"
         << "- s : Nach Eintrag suchen\n"
         << "- n : Neuen Eintrag eingeben\n"
         << "- b : Eintrag bearbeiten\n"
         << "- x : Eintrag loeschen\n"
         << "> ";
      getline(cin, s);
      if (s.length() != 1) continue;
      cout << '\n';

      switch (s[0])
      {
      case 'e':
         if (b.write(filename))
         {
            cout << "\nAuf Wiedersehen\n";
            return 0;
         }
         break;
      case 'l':
         b.print();
         break;
      case 's':
         b.find_and_print();
         break;
      case 'n':
         b.new_entry();
         break;
      case 'b':
         b.edit_entry();
         break;
      case 'x':
         b.remove_entry();
         break;
      }
   }
}
